
function PDAM_FrostBoltSpellModify(totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP)
	spellTexture = PDAM_SpellDB["FrostBoltSpell"]["texture"]
	spellLink = PDAM_SpellDB["FrostBoltSpell"]["link"]
	spellDamage = PDAM_SpellDB["FrostBoltSpell"]["damage"]
	spellInterval = PDAM_SpellDB["FrostBoltSpell"]["interval"]
	spellCoefficient = PDAM_SpellDB["FrostBoltSpell"]["coefficient"]
	
	useASP = false
	useFRSP = true
	useFISP = false
	
	if (PDAM_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAM_FrostElixirBuff:GetChecked()) then totalFRSP = totalFRSP + PDAM_BuffDB["FrostElixirBuff"]["frsp"] end
	if (PDAM_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAM_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAM_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAM_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAM_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAM_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAM_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAM_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["SavvyBuff"]["crit"] end
	if (PDAM_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAM_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAM_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["MOTWBuff"]["int"] end
	if (PDAM_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAM_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAM_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["RunnTummBuff"]["int"] end
	
	if (PDAM_MindPresenceTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["MindPresenceTalent"]["percentdamage"] end
	if (PDAM_ArcaneInstabilityTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcaneInstabilityTalent"]["percentdamage"] totalCrit = totalCrit + PDAM_TalentDB["ArcaneInstabilityTalent"]["crit"] end
	if (PDAM_ArcanePowerTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcanePowerTalent"]["percentdamage"] end
	if (PDAM_ImprovedFrostBoltTalent:GetChecked()) then spellInterval = spellInterval + PDAM_TalentDB["ImprovedFrostBoltTalent"]["interval"] end
	if (PDAM_ElementalPrecisionTalent:GetChecked()) then totalHit = totalHit + PDAM_TalentDB["ElementalPrecisionTalent"]["hit"] end
	if (PDAM_IceShardsTalent:GetChecked()) then critModifier = critModifier + PDAM_TalentDB["IceShardsTalent"]["critmodifier"] end
	if (PDAM_PiercingIceTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["PiercingIceTalent"]["percentdamage"] end
	if (PDAM_WinterChillTalent:GetChecked()) then totalCrit = totalCrit + PDAM_TalentDB["WinterChillTalent"]["crit"] end
	
	return totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP
end

function PDAM_BlizzardSpellModify(totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP)
	spellTexture = PDAM_SpellDB["BlizzardSpell"]["texture"]
	spellLink = PDAM_SpellDB["BlizzardSpell"]["link"]
	spellDamage = PDAM_SpellDB["BlizzardSpell"]["damage"]
	spellInterval = PDAM_SpellDB["BlizzardSpell"]["interval"]
	spellCoefficient = PDAM_SpellDB["BlizzardSpell"]["coefficient"]
	
	useASP = false
	useFRSP = true
	useFISP = false
	
	if (PDAM_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAM_FrostElixirBuff:GetChecked()) then totalFRSP = totalFRSP + PDAM_BuffDB["FrostElixirBuff"]["frsp"] end
	if (PDAM_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAM_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAM_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAM_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAM_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAM_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAM_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAM_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["SavvyBuff"]["crit"] end
	if (PDAM_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAM_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAM_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["MOTWBuff"]["int"] end
	if (PDAM_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAM_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAM_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["RunnTummBuff"]["int"] end
	
	if (PDAM_ArcaneInstabilityTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcaneInstabilityTalent"]["percentdamage"] totalCrit = totalCrit + PDAM_TalentDB["ArcaneInstabilityTalent"]["crit"] end
	if (PDAM_ArcanePowerTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcanePowerTalent"]["percentdamage"] end
	if (PDAM_ElementalPrecisionTalent:GetChecked()) then totalHit = totalHit + PDAM_TalentDB["ElementalPrecisionTalent"]["hit"] end
	if (PDAM_IceShardsTalent:GetChecked()) then critModifier = critModifier + PDAM_TalentDB["IceShardsTalent"]["critmodifier"] end
	if (PDAM_PiercingIceTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["PiercingIceTalent"]["percentdamage"] end
	if (PDAM_WinterChillTalent:GetChecked()) then totalCrit = totalCrit + PDAM_TalentDB["WinterChillTalent"]["crit"] end
	
	return totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP
end

function PDAM_ArcaneMissilesSpellModify(totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP)
	spellTexture = PDAM_SpellDB["ArcaneMissilesSpell"]["texture"]
	spellLink = PDAM_SpellDB["ArcaneMissilesSpell"]["link"]
	spellDamage = PDAM_SpellDB["ArcaneMissilesSpell"]["damage"]
	spellInterval = PDAM_SpellDB["ArcaneMissilesSpell"]["interval"]
	spellCoefficient = PDAM_SpellDB["ArcaneMissilesSpell"]["coefficient"]
	
	useASP = true
	useFRSP = false
	useFISP = false
	
	if (PDAM_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAM_FrostElixirBuff:GetChecked()) then totalFRSP = totalFRSP + PDAM_BuffDB["FrostElixirBuff"]["frsp"] end
	if (PDAM_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAM_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAM_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAM_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAM_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAM_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAM_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAM_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["SavvyBuff"]["crit"] end
	if (PDAM_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAM_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAM_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["MOTWBuff"]["int"] end
	if (PDAM_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAM_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAM_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["RunnTummBuff"]["int"] end
	
	if (PDAM_ArcaneFocusTalent:GetChecked()) then totalHit = totalHit + PDAM_TalentDB["ArcaneFocusTalent"]["hit"] end
	if (PDAM_ArcaneInstabilityTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcaneInstabilityTalent"]["percentdamage"] totalCrit = totalCrit + PDAM_TalentDB["ArcaneInstabilityTalent"]["crit"] end
	if (PDAM_ArcanePowerTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcanePowerTalent"]["percentdamage"] end
	
	return totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP
end

function PDAM_ArcaneExplosionSpellModify(totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP)
	spellTexture = PDAM_SpellDB["ArcaneExplosionSpell"]["texture"]
	spellLink = PDAM_SpellDB["ArcaneExplosionSpell"]["link"]
	spellDamage = PDAM_SpellDB["ArcaneExplosionSpell"]["damage"]
	spellInterval = PDAM_SpellDB["ArcaneExplosionSpell"]["interval"]
	spellCoefficient = PDAM_SpellDB["ArcaneExplosionSpell"]["coefficient"]
	
	useASP = true
	useFRSP = false
	useFISP = false
	
	if (PDAM_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAM_FrostElixirBuff:GetChecked()) then totalFRSP = totalFRSP + PDAM_BuffDB["FrostElixirBuff"]["frsp"] end
	if (PDAM_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAM_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAM_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAM_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAM_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAM_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAM_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAM_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["SavvyBuff"]["crit"] end
	if (PDAM_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAM_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAM_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["MOTWBuff"]["int"] end
	if (PDAM_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAM_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAM_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["RunnTummBuff"]["int"] end
	
	if (PDAM_ArcaneFocusTalent:GetChecked()) then totalHit = totalHit + PDAM_TalentDB["ArcaneFocusTalent"]["hit"] end
	if (PDAM_ImprovedArcaneExplosionTalent:GetChecked()) then totalCrit = totalCrit + PDAM_TalentDB["ImprovedArcaneExplosionTalent"]["crit"] end
	if (PDAM_ArcaneInstabilityTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcaneInstabilityTalent"]["percentdamage"] totalCrit = totalCrit + PDAM_TalentDB["ArcaneInstabilityTalent"]["crit"] end
	if (PDAM_ArcanePowerTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcanePowerTalent"]["percentdamage"] end
	
	return totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP
end

function PDAM_ScorchSpellModify(totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP)
	spellTexture = PDAM_SpellDB["ScorchSpell"]["texture"]
	spellLink = PDAM_SpellDB["ScorchSpell"]["link"]
	spellDamage = PDAM_SpellDB["ScorchSpell"]["damage"]
	spellInterval = PDAM_SpellDB["ScorchSpell"]["interval"]
	spellCoefficient = PDAM_SpellDB["ScorchSpell"]["coefficient"]
	
	useASP = false
	useFRSP = false
	useFISP = true
	
	if (PDAM_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAM_FrostElixirBuff:GetChecked()) then totalFRSP = totalFRSP + PDAM_BuffDB["FrostElixirBuff"]["frsp"] end
	if (PDAM_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAM_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAM_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAM_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAM_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAM_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAM_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAM_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["SavvyBuff"]["crit"] end
	if (PDAM_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAM_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAM_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["MOTWBuff"]["int"] end
	if (PDAM_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAM_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAM_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["RunnTummBuff"]["int"] end
	
	if (PDAM_MindPresenceTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["MindPresenceTalent"]["percentdamage"] end
	if (PDAM_ArcaneInstabilityTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcaneInstabilityTalent"]["percentdamage"] totalCrit = totalCrit + PDAM_TalentDB["ArcaneInstabilityTalent"]["crit"] end
	if (PDAM_ArcanePowerTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcanePowerTalent"]["percentdamage"] end
	if (PDAM_IncinerateTalent:GetChecked()) then totalCrit = totalCrit + PDAM_TalentDB["IncinerateTalent"]["crit"] end
	if (PDAM_ImprovedScorchTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ImprovedScorchTalent"]["percentdamage"] end
	if (PDAM_CriticalMassTalent:GetChecked()) then totalCrit = totalCrit + PDAM_TalentDB["CriticalMassTalent"]["crit"] end
	if (PDAM_FirePowerTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["FirePowerTalent"]["percentdamage"] end
	if (PDAM_ElementalPrecisionTalent:GetChecked()) then totalHit = totalHit + PDAM_TalentDB["ElementalPrecisionTalent"]["hit"] end
	
	return totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP
end

function PDAM_FireballSpellModify(totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP)
	spellTexture = PDAM_SpellDB["FireballSpell"]["texture"]
	spellLink = PDAM_SpellDB["FireballSpell"]["link"]
	spellDamage = PDAM_SpellDB["FireballSpell"]["damage"]
	spellInterval = PDAM_SpellDB["FireballSpell"]["interval"]
	spellCoefficient = PDAM_SpellDB["FireballSpell"]["coefficient"]
	
	useASP = false
	useFRSP = false
	useFISP = true
	
	if (PDAM_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAM_FrostElixirBuff:GetChecked()) then totalFRSP = totalFRSP + PDAM_BuffDB["FrostElixirBuff"]["frsp"] end
	if (PDAM_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAM_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAM_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAM_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAM_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAM_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAM_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAM_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAM_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAM_BuffDB["SavvyBuff"]["crit"] end
	if (PDAM_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAM_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAM_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["MOTWBuff"]["int"] end
	if (PDAM_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAM_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAM_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAM_BuffDB["RunnTummBuff"]["int"] end
	
	if (PDAM_MindPresenceTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["MindPresenceTalent"]["percentdamage"] end
	if (PDAM_ArcaneInstabilityTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcaneInstabilityTalent"]["percentdamage"] totalCrit = totalCrit + PDAM_TalentDB["ArcaneInstabilityTalent"]["crit"] end
	if (PDAM_ArcanePowerTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ArcanePowerTalent"]["percentdamage"] end
	if (PDAM_ImprovedFireBallTalent:GetChecked()) then spellInterval = spellInterval + PDAM_TalentDB["ImprovedFireBallTalent"]["interval"] end
	if (PDAM_ImprovedScorchTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["ImprovedScorchTalent"]["percentdamage"] end
	if (PDAM_CriticalMassTalent:GetChecked()) then totalCrit = totalCrit + PDAM_TalentDB["CriticalMassTalent"]["crit"] end
	if (PDAM_FirePowerTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAM_TalentDB["FirePowerTalent"]["percentdamage"] end
	if (PDAM_ElementalPrecisionTalent:GetChecked()) then totalHit = totalHit + PDAM_TalentDB["ElementalPrecisionTalent"]["hit"] end
	
	return totalInt, totalHit, totalCrit, totalSP, totalASP, totalFRSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useASP, useFRSP, useFISP
end