
function PDA_CacheItem(slotID)
	local itemLink = GetInventoryItemLink("Player", slotID)
	if not (itemLink == nil) then
		PDA_HiddenTooltip:SetHyperlink(itemLink)
	end
end

function PDA_CacheItems()
	PDA_CacheItem(1)
	PDA_CacheItem(2)
	PDA_CacheItem(3)
	PDA_CacheItem(15)
	PDA_CacheItem(5)
	PDA_CacheItem(4)
	PDA_CacheItem(19)
	PDA_CacheItem(9)
	
	PDA_CacheItem(10)
	PDA_CacheItem(6)
	PDA_CacheItem(7)
	PDA_CacheItem(8)
	PDA_CacheItem(11)
	PDA_CacheItem(12)
	PDA_CacheItem(13)
	PDA_CacheItem(14)
	
	PDA_CacheItem(16)
	PDA_CacheItem(17)
	PDA_CacheItem(18)
end

function PDA_OpenUp()
	PDA_CacheItems()
	local class, classFileName = UnitClass("player")
	if (class == "Warlock") then
		PDAW_MainFrame:SetShown(true)
	elseif (class == "Mage") then
		PDAM_MainFrame:SetShown(true)
	end
end

function PDA_OpenWarlock()
	PDA_CacheItems()
	PDAW_MainFrame:SetShown(true)
end

function PDA_OpenMage()
	PDA_CacheItems()
	PDAM_MainFrame:SetShown(true)
end

SLASH_PDA1 = "/pda"
SlashCmdList["PDA"] = PDA_OpenUp

SLASH_PDAW1 = "/pdaw"
SlashCmdList["PDAW"] = PDA_OpenWarlock

SLASH_PDAM1 = "/pdam"
SlashCmdList["PDAM"] = PDA_OpenMage