PDAW_BuffDB = {
	SupremeFlaskBuff = {
		texture = 134821,
		link = "\124cffffffff\124Hitem:13512::::::::60:::::\124h[Flask of Supreme Power]\124h\124r",
		sp = 150
	},
	ShadowElixirBuff = {
		texture = 134826,
		link = "\124cffffffff\124Hitem:9264::::::::60:::::\124h[Elixir of Shadow Power]\124h\124r",
		ssp = 40
	},
	ArcaneElixirBuff = {
		texture = 134810,
		link = "\124cffffffff\124Hitem:9155::::::::60:::::\124h[Arcane Elixir]\124h\124r",
		sp = 20
	},
	GreaterArcaneElixirBuff = {
		texture = 134805,
		link = "\124cffffffff\124Hitem:13454::::::::60:::::\124h[Greater Arcane Elixir]\124h\124r",
		sp = 35
	},
	FireElixirBuff = {
		texture = 134813,
		link = "\124cffffffff\124Hitem:6373::::::::60:::::\124h[Elixir of Firepower]\124h\124r",
		fisp = 10
	},
	OnyxiaBuff = {
		texture = 134153,
		link = "\124cffffd000\124Hspell:22888\124h[Rallying Cry of the Dragonslayer]\124h\124r",
		crit = 10
	},
	ZandalarBuff = {
		texture = 132107,
		link = "\124cffffd000\124Hspell:24425\124h[Spirit of Zandalar]\124h\124r",
		percentint = 0.15
	},
	SavvyBuff = {
		texture = 135930,
		link = "\124cffffd000\124Hspell:22820\124h[Slip'kik's Savvy]\124h\124r",
		crit = 3
	},
	SongflowerBuff = {
		texture = 135934,
		link = "\124cffffd000\124Hspell:15366\124h[Songflower Serenade]\124h\124r",
		int = 15,
		crit = 5
	},
	MOTWBuff = {
		texture = 136078,
		link = "\124cffffd000\124Hspell:9885\124h[Mark of the Wild]\124h\124r",
		int = 12
	},
	ArcaneBrillianceBuff = {
		texture = 135869,
		link = "\124cffffd000\124Hspell:23028\124h[Arcane Brilliance]\124h\124r",
		int = 31
	},
	CerebralCortexBuff = {
		texture = 134812,
		link = "\124cffffffff\124Hitem:8423::::::::60:::::\124h[Cerebral Cortex Compound]\124h\124r",
		int = 25
	},
	RunnTummBuff = {
		texture = 134019,
		link = "\124cffffffff\124Hitem:18254::::::::60:::::\124h[Runn Tum Tuber Surprise]\124h\124r",
		int = 10
	}
}
PDAW_TalentDB = {
	SuppressionTalent = {
		texture = 136230,
		link = "\124cffffd000\124Hspell:18178\124h[Suppression]\124h\124r",
		hit = 10
	},
	ImprovedAgonyTalent = {
		texture = 136139,
		link = "\124cffffd000\124Hspell:18830\124h[Improved Curse of Agony]\124h\124r",
		percentdamage = 0.06
	},
	NightfallTalent = {
		texture = 136223,
		link = "\124cffffd000\124Hspell:18095\124h[Nightfall]\124h\124r",
		percentdamage = 0.04
	},
	ShadowMasteryTalent = {
		texture = 136195,
		link = "\124cffffd000\124Hspell:18275\124h[Shadow Mastery]\124h\124r",
		percentdamage = 0.10
	},
	DemonicSacrificeTalent = {
		texture = 136184,
		link = "\124cffffd000\124Hspell:18788\124h[Demonic Sacrifice]\124h\124r",
		percentdamage = 0.15
	},
	MasterDemonologistTalent = {
		texture = 136203,
		link = "\124cffffd000\124Hspell:23825\124h[Master Demonologist]\124h\124r",
		percentdamage = 0.10
	},
	SoulLinkTalent = {
		texture = 136160,
		link = "\124cffffd000\124Hspell:19028\124h[Soul Link]\124h\124r",
		percentdamage = 0.03
	},
	ImprovedShadowBoltTalent = {
		texture = 136197,
		link = "\124cffffd000\124Hspell:17803\124h[Improved Shadow Bolt]\124h\124r",
		percentdamage = 0.20
	},
	BaneTalent = {
		texture = 136146,
		link = "\124cffffd000\124Hspell:17792\124h[Bane]\124h\124r",
		interval = -0.5
	},
	DevastationTalent = {
		texture = 135813,
		link = "\124cffffd000\124Hspell:18134\124h[Devastation]\124h\124r",
		crit = 5
	},
	ImprovedSearingPainTalent = {
		texture = 135827,
		link = "\124cffffd000\124Hspell:17932\124h[Improved Searing Pain]\124h\124r",
		crit = 10
	},
	RuinTalent = {
		texture = 136207,
		link = "\124cffffd000\124Hspell:17959\124h[Ruin]\124h\124r",
		critmodifier = 0.5
	},
	EmberStormTalent = {
		texture = 135826,
		link = "\124cffffd000\124Hspell:17958\124h[Emberstorm]\124h\124r",
		percentdamage = 0.10
	}
}
PDAW_SpellDB = {
	ShadowBoltSpell = {
		texture = 136197,
		link = "\124cffffd000\124Hspell:11661\124h[Shadow Bolt]\124h\124r",
		damage = 481,
		interval = 3,
		coefficient = 0.8571
	},
	CorruptionSpell = {
		texture = 136118,
		link = "\124cffffd000\124Hspell:11672\124h[Corruption]\124h\124r",
		damage = 111,
		interval = 3,
		coefficient = 0.1666
	},
	AgonyCurseSpell = {
		texture = 136139,
		link = "\124cffffd000\124Hspell:11713\124h[Curse of Agony]\124h\124r",
		damage = 87,
		damage1 = 43.5,
		damage2 = 87,
		damage3 = 130.5,
		interval = 2,
		coefficient = 0.0833
	},
	SearingPainSpell = {
		texture = 135827,
		link = "\124cffffd000\124Hspell:17923\124h[Searing Pain]\124h\124r",
		damage = 226,
		interval = 1.5,
		coefficient = 0.4285
	},
	HellfireSpell = {
		texture = 135818,
		link = "\124cffffd000\124Hspell:11684\124h[Hellfire]\124h\124r",
		damage = 212,
		interval = 1,
		coefficient = 1.0000
	},
	FireRainSpell = {
		texture = 136186,
		link = "\124cffffd000\124Hspell:11678\124h[Rain of Fire]\124h\124r",
		damage = 227,
		interval = 2,
		coefficient = 1.0000
	},
	DoomCurseSpell = {
		texture = 136122,
		link = "\124cffffd000\124Hspell:603\124h[Curse of Doom]\124h\124r",
		damage = 3200,
		interval = 60,
		coefficient = 1.0000
	},
	ShadowburnSpell = {
		texture = 136191,
		link = "\124cffffd000\124Hspell:18871\124h[Shadowburn]\124h\124r",
		damage = 488,
		interval = 15,
		coefficient = 0.4285
	},
	DeathCoilSpell = {
		texture = 136145,
		link = "\124cffffd000\124Hspell:17926\124h[Death Coil]\124h\124r",
		damage = 476,
		interval = 120,
		coefficient = 0.4285
	},
	DrainLifeSpell = {
		texture = 136169,
		link = "\124cffffd000\124Hspell:11700\124h[Drain Life]\124h\124r",
		damage = 71,
		interval = 1,
		coefficient = 1.0000
	},
	DrainSoulSpell = {
		texture = 136163,
		link = "\124cffffd000\124Hspell:11675\124h[Drain Soul]\124h\124r",
		damage = 91,
		interval = 3,
		coefficient = 1.0000
	},
	SoulfireSpell = {
		texture = 135808,
		link = "\124cffffd000\124Hspell:6353\124h[Soul Fire]\124h\124r",
		damage = 804.5,
		interval = 60,
		coefficient = 1.0000
	}
}