
function PDAW_ShadowBoltSpellModify(totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP)
	spellTexture = PDAW_SpellDB["ShadowBoltSpell"]["texture"]
	spellLink = PDAW_SpellDB["ShadowBoltSpell"]["link"]
	spellDamage = PDAW_SpellDB["ShadowBoltSpell"]["damage"]
	spellInterval = PDAW_SpellDB["ShadowBoltSpell"]["interval"]
	spellCoefficient = PDAW_SpellDB["ShadowBoltSpell"]["coefficient"]
	
	useSSP = true
	useFISP = false
	
	if (PDAW_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAW_ShadowElixirBuff:GetChecked()) then totalSSP = totalSSP + PDAW_BuffDB["ShadowElixirBuff"]["ssp"] end
	if (PDAW_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAW_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAW_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAW_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAW_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAW_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAW_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAW_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["SavvyBuff"]["crit"] end
	if (PDAW_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAW_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAW_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["MOTWBuff"]["int"] end
	if (PDAW_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAW_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAW_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["RunnTummBuff"]["int"] end
	
	
	if (PDAW_NightfallTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["NightfallTalent"]["percentdamage"] end
	if (PDAW_ShadowMasteryTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["ShadowMasteryTalent"]["percentdamage"] end
	if (PDAW_DemonicSacrificeTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["DemonicSacrificeTalent"]["percentdamage"] end
	if (PDAW_MasterDemonologistTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["MasterDemonologistTalent"]["percentdamage"] end
	if (PDAW_SoulLinkTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["SoulLinkTalent"]["percentdamage"] end
	if (PDAW_ImprovedShadowBoltTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["ImprovedShadowBoltTalent"]["percentdamage"] end
	if (PDAW_BaneTalent:GetChecked()) then spellInterval = spellInterval + PDAW_TalentDB["BaneTalent"]["interval"] end
	if (PDAW_DevastationTalent:GetChecked()) then totalCrit = totalCrit + PDAW_TalentDB["DevastationTalent"]["crit"] end
	if (PDAW_RuinTalent:GetChecked()) then critModifier = critModifier + PDAW_TalentDB["RuinTalent"]["critmodifier"] end
	
	return totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP
end

function PDAW_CorruptionSpellModify(totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP)
	spellTexture = PDAW_SpellDB["CorruptionSpell"]["texture"]
	spellLink = PDAW_SpellDB["CorruptionSpell"]["link"]
	spellDamage = PDAW_SpellDB["CorruptionSpell"]["damage"]
	spellInterval = PDAW_SpellDB["CorruptionSpell"]["interval"]
	spellCoefficient = PDAW_SpellDB["CorruptionSpell"]["coefficient"]
	
	useSSP = true
	useFISP = false
	
	if (PDAW_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAW_ShadowElixirBuff:GetChecked()) then totalSSP = totalSSP + PDAW_BuffDB["ShadowElixirBuff"]["ssp"] end
	if (PDAW_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAW_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAW_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAW_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAW_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAW_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAW_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAW_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["SavvyBuff"]["crit"] end
	if (PDAW_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAW_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAW_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["MOTWBuff"]["int"] end
	if (PDAW_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAW_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAW_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["RunnTummBuff"]["int"] end
	
	
	if (PDAW_SuppressionTalent:GetChecked()) then totalHit = totalHit + PDAW_TalentDB["SuppressionTalent"]["hit"] end
	if (PDAW_ShadowMasteryTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["ShadowMasteryTalent"]["percentdamage"] end
	if (PDAW_DemonicSacrificeTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["DemonicSacrificeTalent"]["percentdamage"] end
	if (PDAW_MasterDemonologistTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["MasterDemonologistTalent"]["percentdamage"] end
	if (PDAW_SoulLinkTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["SoulLinkTalent"]["percentdamage"] end
	
	critModifier = 0
	
	return totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP
end

function PDAW_AgonyCurseSpellModify(totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP)
	spellTexture = PDAW_SpellDB["AgonyCurseSpell"]["texture"]
	spellLink = PDAW_SpellDB["AgonyCurseSpell"]["link"]
	spellDamage = PDAW_SpellDB["AgonyCurseSpell"]["damage"]
	spellInterval = PDAW_SpellDB["AgonyCurseSpell"]["interval"]
	spellCoefficient = PDAW_SpellDB["AgonyCurseSpell"]["coefficient"]
	
	useSSP = true
	useFISP = false
	
	if (PDAW_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAW_ShadowElixirBuff:GetChecked()) then totalSSP = totalSSP + PDAW_BuffDB["ShadowElixirBuff"]["ssp"] end
	if (PDAW_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAW_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAW_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAW_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAW_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAW_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAW_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAW_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["SavvyBuff"]["crit"] end
	if (PDAW_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAW_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAW_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["MOTWBuff"]["int"] end
	if (PDAW_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAW_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAW_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["RunnTummBuff"]["int"] end
	
	
	if (PDAW_SuppressionTalent:GetChecked()) then totalHit = totalHit + PDAW_TalentDB["SuppressionTalent"]["hit"] end
	if (PDAW_ImprovedAgonyTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["ImprovedAgonyTalent"]["percentdamage"] end
	if (PDAW_ShadowMasteryTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["ShadowMasteryTalent"]["percentdamage"] end
	if (PDAW_DemonicSacrificeTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["DemonicSacrificeTalent"]["percentdamage"] end
	if (PDAW_MasterDemonologistTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["MasterDemonologistTalent"]["percentdamage"] end
	if (PDAW_SoulLinkTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["SoulLinkTalent"]["percentdamage"] end
	
	critModifier = 0
	
	return totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP
end

function PDAW_SearingPainSpellModify(totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP)
	spellTexture = PDAW_SpellDB["SearingPainSpell"]["texture"]
	spellLink = PDAW_SpellDB["SearingPainSpell"]["link"]
	spellDamage = PDAW_SpellDB["SearingPainSpell"]["damage"]
	spellInterval = PDAW_SpellDB["SearingPainSpell"]["interval"]
	spellCoefficient = PDAW_SpellDB["SearingPainSpell"]["coefficient"]
	
	useSSP = false
	useFISP = true
	
	if (PDAW_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAW_ShadowElixirBuff:GetChecked()) then totalSSP = totalSSP + PDAW_BuffDB["ShadowElixirBuff"]["ssp"] end
	if (PDAW_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAW_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAW_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAW_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAW_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAW_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAW_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAW_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["SavvyBuff"]["crit"] end
	if (PDAW_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAW_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAW_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["MOTWBuff"]["int"] end
	if (PDAW_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAW_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAW_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["RunnTummBuff"]["int"] end
	
	
	if (PDAW_DemonicSacrificeTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["DemonicSacrificeTalent"]["percentdamage"] end
	if (PDAW_MasterDemonologistTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["MasterDemonologistTalent"]["percentdamage"] end
	if (PDAW_SoulLinkTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["SoulLinkTalent"]["percentdamage"] end
	if (PDAW_DevastationTalent:GetChecked()) then totalCrit = totalCrit + PDAW_TalentDB["DevastationTalent"]["crit"] end
	if (PDAW_ImprovedSearingPainTalent:GetChecked()) then totalCrit = totalCrit + PDAW_TalentDB["ImprovedSearingPainTalent"]["crit"] end
	if (PDAW_RuinTalent:GetChecked()) then critModifier = critModifier + PDAW_TalentDB["RuinTalent"]["critmodifier"] end
	if (PDAW_EmberStormTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["EmberStormTalent"]["percentdamage"] end
	
	return totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP
end

function PDAW_HellfireSpellModify(totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP)
	spellTexture = PDAW_SpellDB["HellfireSpell"]["texture"]
	spellLink = PDAW_SpellDB["HellfireSpell"]["link"]
	spellDamage = PDAW_SpellDB["HellfireSpell"]["damage"]
	spellInterval = PDAW_SpellDB["HellfireSpell"]["interval"]
	spellCoefficient = PDAW_SpellDB["HellfireSpell"]["coefficient"]
	
	useSSP = false
	useFISP = true
	
	if (PDAW_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAW_ShadowElixirBuff:GetChecked()) then totalSSP = totalSSP + PDAW_BuffDB["ShadowElixirBuff"]["ssp"] end
	if (PDAW_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAW_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAW_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAW_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAW_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAW_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAW_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAW_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["SavvyBuff"]["crit"] end
	if (PDAW_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAW_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAW_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["MOTWBuff"]["int"] end
	if (PDAW_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAW_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAW_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["RunnTummBuff"]["int"] end
	
	
	if (PDAW_DemonicSacrificeTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["DemonicSacrificeTalent"]["percentdamage"] end
	if (PDAW_MasterDemonologistTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["MasterDemonologistTalent"]["percentdamage"] end
	if (PDAW_SoulLinkTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["SoulLinkTalent"]["percentdamage"] end
	if (PDAW_DevastationTalent:GetChecked()) then totalCrit = totalCrit + PDAW_TalentDB["DevastationTalent"]["crit"] end
	if (PDAW_RuinTalent:GetChecked()) then critModifier = critModifier + PDAW_TalentDB["RuinTalent"]["critmodifier"] end
	if (PDAW_EmberStormTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["EmberStormTalent"]["percentdamage"] end
	
	return totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP
end

function PDAW_FireRainSpellModify(totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP)
	spellTexture = PDAW_SpellDB["FireRainSpell"]["texture"]
	spellLink = PDAW_SpellDB["FireRainSpell"]["link"]
	spellDamage = PDAW_SpellDB["FireRainSpell"]["damage"]
	spellInterval = PDAW_SpellDB["FireRainSpell"]["interval"]
	spellCoefficient = PDAW_SpellDB["FireRainSpell"]["coefficient"]
	
	useSSP = false
	useFISP = true
	
	if (PDAW_SupremeFlaskBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["SupremeFlaskBuff"]["sp"] end
	if (PDAW_ShadowElixirBuff:GetChecked()) then totalSSP = totalSSP + PDAW_BuffDB["ShadowElixirBuff"]["ssp"] end
	if (PDAW_ArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["ArcaneElixirBuff"]["sp"] end
	if (PDAW_GreaterArcaneElixirBuff:GetChecked()) then totalSP = totalSP + PDAW_BuffDB["GreaterArcaneElixirBuff"]["sp"] end
	if (PDAW_FireElixirBuff:GetChecked()) then totalFISP = totalFISP + PDAW_BuffDB["FireElixirBuff"]["fisp"] end
	if (PDAW_OnyxiaBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["OnyxiaBuff"]["crit"] end
	if (PDAW_ZandalarBuff:GetChecked()) then percentIntBonus = percentIntBonus + PDAW_BuffDB["ZandalarBuff"]["percentint"] end
	if (PDAW_SavvyBuff:GetChecked()) then totalCrit = totalCrit + PDAW_BuffDB["SavvyBuff"]["crit"] end
	if (PDAW_SongflowerBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["SongflowerBuff"]["int"] totalCrit = totalCrit + PDAW_BuffDB["SongflowerBuff"]["crit"] end
	if (PDAW_MOTWBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["MOTWBuff"]["int"] end
	if (PDAW_ArcaneBrillianceBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["ArcaneBrillianceBuff"]["int"] end
	if (PDAW_CerebralCortexBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["CerebralCortexBuff"]["int"] end
	if (PDAW_RunnTummBuff:GetChecked()) then totalInt = totalInt + PDAW_BuffDB["RunnTummBuff"]["int"] end
	
	
	if (PDAW_DemonicSacrificeTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["DemonicSacrificeTalent"]["percentdamage"] end
	if (PDAW_MasterDemonologistTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["MasterDemonologistTalent"]["percentdamage"] end
	if (PDAW_SoulLinkTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["SoulLinkTalent"]["percentdamage"] end
	if (PDAW_DevastationTalent:GetChecked()) then totalCrit = totalCrit + PDAW_TalentDB["DevastationTalent"]["crit"] end
	if (PDAW_RuinTalent:GetChecked()) then critModifier = critModifier + PDAW_TalentDB["RuinTalent"]["critmodifier"] end
	if (PDAW_EmberStormTalent:GetChecked()) then percentDamageBonus = percentDamageBonus + PDAW_TalentDB["EmberStormTalent"]["percentdamage"] end
	
	return totalInt, totalHit, totalCrit, totalSP, totalSSP, totalFISP, percentIntBonus, percentDamageBonus, critModifier, spellTexture, spellLink, spellDamage, spellInterval, spellCoefficient, useSSP, useFISP
end