PDAM_BuffDB = {
	SupremeFlaskBuff = {
		texture = 134821,
		link = "\124cffffffff\124Hitem:13512::::::::60:::::\124h[Flask of Supreme Power]\124h\124r",
		sp = 150
	},
	FrostElixirBuff = {
		texture = 134714,
		link = "\124cffffffff\124Hitem:17708::::::::60:::::\124h[Elixir of Frost Power]\124h\124r",
		frsp = 15
	},
	ArcaneElixirBuff = {
		texture = 134810,
		link = "\124cffffffff\124Hitem:9155::::::::60:::::\124h[Arcane Elixir]\124h\124r",
		sp = 20
	},
	GreaterArcaneElixirBuff = {
		texture = 134805,
		link = "\124cffffffff\124Hitem:13454::::::::60:::::\124h[Greater Arcane Elixir]\124h\124r",
		sp = 35
	},
	FireElixirBuff = {
		texture = 134813,
		link = "\124cffffffff\124Hitem:6373::::::::60:::::\124h[Elixir of Firepower]\124h\124r",
		fisp = 10
	},
	OnyxiaBuff = {
		texture = 134153,
		link = "\124cffffd000\124Hspell:22888\124h[Rallying Cry of the Dragonslayer]\124h\124r",
		crit = 10
	},
	ZandalarBuff = {
		texture = 132107,
		link = "\124cffffd000\124Hspell:24425\124h[Spirit of Zandalar]\124h\124r",
		percentint = 0.15
	},
	SavvyBuff = {
		texture = 135930,
		link = "\124cffffd000\124Hspell:22820\124h[Slip'kik's Savvy]\124h\124r",
		crit = 3
	},
	SongflowerBuff = {
		texture = 135934,
		link = "\124cffffd000\124Hspell:15366\124h[Songflower Serenade]\124h\124r",
		int = 15,
		crit = 5
	},
	MOTWBuff = {
		texture = 136078,
		link = "\124cffffd000\124Hspell:9885\124h[Mark of the Wild]\124h\124r",
		int = 12
	},
	ArcaneBrillianceBuff = {
		texture = 135869,
		link = "\124cffffd000\124Hspell:23028\124h[Arcane Brilliance]\124h\124r",
		int = 31
	},
	CerebralCortexBuff = {
		texture = 134812,
		link = "\124cffffffff\124Hitem:8423::::::::60:::::\124h[Cerebral Cortex Compound]\124h\124r",
		int = 25
	},
	RunnTummBuff = {
		texture = 134019,
		link = "\124cffffffff\124Hitem:18254::::::::60:::::\124h[Runn Tum Tuber Surprise]\124h\124r",
		int = 10
	}
}
PDAM_TalentDB = {
	ArcaneFocusTalent = {
		texture = 135892,
		link = "\124cffffd000\124Hspell:12842\124h[Arcane Focus]\124h\124r",
		hit = 10
	},
	ImprovedArcaneExplosionTalent = {
		texture = 136116,
		link = "\124cffffd000\124Hspell:12469\124h[Improved Arcane Explosion]\124h\124r",
		crit = 6
	},
	MindPresenceTalent = {
		texture = 136031,
		link = "\124cffffd000\124Hspell:12043\124h[Presence of Mind]\124h\124r",
		percentdamage = 0.005
	},
	ArcaneInstabilityTalent = {
		texture = 136222,
		link = "\124cffffd000\124Hspell:15060\124h[Arcane Instability]\124h\124r",
		crit = 3,
		percentdamage = 0.03
	},
	ArcanePowerTalent = {
		texture = 136048,
		link = "\124cffffd000\124Hspell:12042\124h[Arcane Power]\124h\124r",
		percentdamage = 0.025
	},
	ImprovedFireBallTalent = {
		texture = 135812,
		link = "\124cffffd000\124Hspell:12341\124h[Improved Fireball]\124h\124r",
		interval = -0.5
	},
	IncinerateTalent = {
		texture = 135813,
		link = "\124cffffd000\124Hspell:18460\124h[Incinerate]\124h\124r",
		crit = 4
	},
	ImprovedScorchTalent = {
		texture = 135827,
		link = "\124cffffd000\124Hspell:12873\124h[Improved Scorch]\124h\124r",
		percentdamage = 0.15
	},
	CriticalMassTalent = {
		texture = 136115,
		link = "\124cffffd000\124Hspell:11368\124h[Critical Mass]\124h\124r",
		crit = 6
	},
	FirePowerTalent = {
		texture = 135817,
		link = "\124cffffd000\124Hspell:12400\124h[Fire Power]\124h\124r",
		percentdamage = 0.10
	},
	ImprovedFrostBoltTalent = {
		texture = 135846,
		link = "\124cffffd000\124Hspell:16766\124h[Improved Frostbolt]\124h\124r",
		interval = -0.5
	},
	ElementalPrecisionTalent = {
		texture = 135989,
		link = "\124cffffd000\124Hspell:29440\124h[Elemental Precision]\124h\124r",
		hit = 6
	},
	IceShardsTalent = {
		texture = 135855,
		link = "\124cffffd000\124Hspell:15053\124h[Ice Shards]\124h\124r",
		critmodifier = 0.5
	},
	PiercingIceTalent = {
		texture = 135845,
		link = "\124cffffd000\124Hspell:12953\124h[Piercing Ice]\124h\124r",
		percentdamage = 0.06
	},
	WinterChillTalent = {
		texture = 135836,
		link = "\124cffffd000\124Hspell:28595\124h[Winter's Chill]\124h\124r",
		crit = 10
	}
}
PDAM_SpellDB = {
	FrostBoltSpell = {
		texture = 135846,
		link = "\124cffffd000\124Hspell:10181\124h[Frostbolt]\124h\124r",
		damage = 457.5,
		interval = 3,
		coefficient = 0.8571
	},
	BlizzardSpell = {
		texture = 135857,
		link = "\124cffffd000\124Hspell:10187\124h[Blizzard]\124h\124r",
		damage = 149,
		interval = 1,
		coefficient = 1.0000
	},
	ArcaneMissilesSpell = {
		texture = 136096,
		link = "\124cffffd000\124Hspell:10212\124h[Arcane Missiles]\124h\124r",
		damage = 196,
		interval = 1,
		coefficient = 1.0000
	},
	ArcaneExplosionSpell = {
		texture = 136116,
		link = "\124cffffd000\124Hspell:10202\124h[Arcane Explosion]\124h\124r",
		damage = 259.5,
		interval = 1.5,
		coefficient = 0.4285
	},
	ScorchSpell = {
		texture = 135827,
		link = "\124cffffd000\124Hspell:10207\124h[Scorch]\124h\124r",
		damage = 258.5,
		interval = 1.5,
		coefficient = 0.4285
	},
	FireballSpell = {
		texture = 135812,
		link = "\124cffffd000\124Hspell:10151\124h[Fireball]\124h\124r",
		damage = 656,
		interval = 3.5,
		coefficient = 1.0000
	}
}